import cv2

cap = cv2.VideoCapture(0)

while True:
    # grab a frame from the stream
    ret, frame = cap.read()
    # show the original image
    cv2.imshow('Original', frame)
    # convert to HSV (hue, saturation, value) color space
    hsv = cv2.cvtColor(frame, cv2.COLOR_BGR2HSV)
    # get a binary mask of the relevant color regions
    lower = [0, 0, 0]
    upper = [150, 150, 150]
    mask = cv2.inRange(hsv, lower, upper)
    # do hough transform
    

    if cv2.waitKey(1) & 0xFF == ord('q'):
        break

cap.release()
cv2.destroyAllWindows()
